body {
    width: 100%;
    top: 0;
    left: 0;
    background-color: #dff3f1;
}

.titleWrapper {
    background-image: url("../assets/images/banner-bg-1.jpg");
}

.mDiscountWrapper {
    width: 100%;
    padding: 30px 60px 80px 60px;
    display: flex;
    flex-direction: column;
    align-items: center;
    background-color: #cbeee7;
}

.mDiscountWrapper .mDiscountTitle {
    display: flex;
    align-items: center;
    justify-content: center;
}

.mDiscountWrapper .mDiscountTitle img {
    width: 100%;
    max-width: 250px;
    padding: 20px;
}

.mDiscountWrapper .mDiscountTitle h2 {
    color: #3c938a;
}

.mDiscountWrapper .mDiscountIntro {
    max-width: 1200px;
}

.mDiscountWrapper .mDiscountIntro p {
    font-size: 23px;
    line-height: 1.8em;
    letter-spacing: 1.1px;
    text-align: center;
}

.categoryWrapper {
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    background-color: #def4f1;
}

.memberBtn {
    top: 0;
    transform: translateY(-50%);
    width: 30vw;
    max-width: 320px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    background-image: linear-gradient(to right, #55dddd, #3d9388);
    text-decoration: none;
    padding: 1vw 1vw 1vw 2vw;
    border-radius: 50px;
    box-shadow: 3px 3px 3px #c5eae3;
}

.memberBtn h3 {
    color: #fff;
}

.memberBtn span {
    width: 32px;
    aspect-ratio: 1 / 1;
    padding: 4px 5px;
    color: #3c9289;
    background-color: #fff;
    border-radius: 50%;
}

.memberBtn svg path {
    fill: #3c9488;
}

.memberBtn:hover {
    color: #fff;
    background-image: linear-gradient(to right, #5edcce, #a9e3e4);
    box-shadow: 3px 3px 3px #3d9388;
}

.categorySelection {
    width: 100%;
    max-width: 1220px;
    padding: 20px 30px 60px 30px;
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.categorySelection h5 {
    width: 70px;
    color: #3c938a;
}

.categorySelection .catType {
    width: 100%;
    display: flex;
    justify-content: flex-start;
    flex-wrap: wrap;
    gap: 14px;
}

.categorySelection .catType a {
    color: #4c4c4c;
    font-weight: 700;
    font-size: 1.2rem;
    padding: 5px 27px;
    background-color: #fff;
    border: 3px solid #5dc1b5;
    border-radius: 30px;
    text-decoration: none;
}

.categorySelection a:hover {
    color: #fff !important;
    background-color: #5dc1b5;
}

.categorySelection .catType a.selected {
    color: #fff !important;
    background-color: #5dc1b5;
}

.categoryContainer {
    max-width: 1510px;
    padding: 0 30px;
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 30px;
}

.categoryContainer .categoryItem {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    background-color: #f2fcfb;
    border-radius: 50px;
    padding: 20px;
    gap: 40px;
}

.categoryContainer .categoryItem img {
    grid-column: span 1;
    width: 200px;
    aspect-ratio: 1/1;
    background-color: #fff;
    padding: 20px;
    border-radius: 30px;
}

.categoryContainer .categoryItem .catItemInfo {
    grid-column: span 2;
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
    align-items: start;
    justify-content: center;
    gap: 20px;
}

.categoryContainer .categoryItem .catItemInfo .catItemText {
    padding-right: 20px;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    gap: 10px;
    justify-content: center;
}

.categoryContainer .categoryItem .catItemInfo .catItemText h2 {
    color: #3c9289;
    font-size: 1.7rem;
    line-height: 1;
}

.categoryContainer .categoryItem .catItemInfo .discountLink {
    width: 100%;
    display: grid;
}

.categoryContainer .categoryItem .catItemInfo .discountLink a {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 8px 12px 8px 25px;
    color: #fff;
    background-color: #5dc1b5;
    border-radius: 30px;
    text-decoration: none;
    box-shadow: 3px 3px 3px #c5eae3;
    max-width: 200px;
}

.categoryContainer .categoryItem .catItemInfo .discountLink a h5 {
    font-size: 18px;
    font-weight: 500;
    color: #fff;
}

.categoryContainer .categoryItem .catItemInfo .discountLink a span {
    color: #fff;
}

.categoryContainer .categoryItem .catItemInfo .discountLink a:hover {
    background-image: linear-gradient(to right, #71d6e0, #6faea5);
}

.paginationWrapper {
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 80px;
    gap: 10px;
}

.paginationWrapper a {
    text-decoration: none;
}

.paginationWrapper a:first-child,
.paginationWrapper a:last-child {
    padding: 0 20px;
}

.backBtn span,
.nextBtn span {
    width: 43px;
    aspect-ratio: 1 / 1;
    padding: 10px 10px;
    color: #5cc2b5;
    background-color: #f1fbfa;
    border-radius: 50%;
    box-shadow: 3px 3px 3px #c5eae3;
}

.paginationWrapper .disabled {
    pointer-events: none;
}

.paginationWrapper .disabled span {
    background-color: #d4ece8;
}

.paginationBtn h5 {
    font-weight: 800;
    width: 46px;
    aspect-ratio: 1 / 1;
    padding: 7px 18px;
    color: #5cc2b5;
    background-color: #f1fbfa;
    border-radius: 50%;
    box-shadow: 3px 3px 3px #c5eae3;
}

/*-----------------demo-----------------*/

.paginationBtnDemo h5,
.paginationBtnDemo span {
    color: #fff;
    background-color: #5cc2b5;
    box-shadow: 3px 3px 3px #a2ddd7;
}

.paginationBtn h5:hover,
.backBtn span:hover,
.nextBtn span:hover {
    color: #fff;
    background-color: #5cc2b5;
    box-shadow: 3px 3px 3px #a2ddd7;
}

/*-----------------demo-----------------*/

@media only screen and (max-width:1240px) {
    .categoryContainer {
        max-width: 1510px;
        padding: 0 30px;
        display: grid;
        grid-template-columns: repeat(3, 1fr);
        gap: 20px;
    }

    .categoryContainer .categoryItem {
        display: flex;
        grid-template-columns: repeat(3, 1fr);
        border-radius: 40px;
        padding: 20px;
        gap: 15px;
        flex-direction: column;
        align-items: center;
    }

    .categoryContainer .categoryItem img {
        border-radius: 20px;
        width: 100%;
    }

    .categoryContainer .categoryItem .catItemInfo {
        grid-column: span 2;
        width: 100%;
        height: 100%;
        display: flex;
        flex-direction: column;
        justify-content: space-between;
        gap: 20px;
    }

    .categoryContainer .categoryItem .catItemInfo .catItemText {
        padding-right: 0;
        display: flex;
        flex-direction: column;
        align-items: flex-start;
        gap: 10px;
    }

    .categoryContainer .categoryItem .catItemInfo .discountLink {
        grid-template-columns: 1fr;
        justify-items: center;
    }

    .categoryContainer .categoryItem .catItemInfo .discountLink a {
        width: 100%;
        max-width: 200px;
        padding: 5px 9px 5px 19px;
    }
}

@media only screen and (max-width:1024px) {
    .memberBtn {
        padding: 1vw 2vw 1vw 3vw;
    }

    .memberBtn h3 {
        font-size: 24px;
    }

    .memberBtn span {
        width: 27px;
        aspect-ratio: 1 / 1;
        padding: 3px 4px;
        color: #3c9289;
        background-color: #fff;
        font-size: 20px;
        border-radius: 50%;
    }

    .categoryContainer .categoryItem .catItemInfo {
        justify-content: space-between;
    }

}

@media only screen and (max-width:768px) {

    .titleWrapper {
        background-image: url("../assets/images/banner-bg-1-m.jpg");
    }

    .mDiscountWrapper {
        padding: 0px 20px 45px 20px;
    }

    .mDiscountWrapper .mDiscountTitle img {
        width: 41%;
        padding: 20px;
    }

    .mDiscountWrapper .mDiscountIntro p {
        font-size: 16px;
    }

    .memberBtn {
        width: 190px;
        padding: 10px 13px 10px 20px;
        max-height: 45px;
    }

    .memberBtn h3 {
        font-size: 18px;
    }

    .memberBtn span {
        font-size: 17px !important;
        width: 20px;
        padding: 1px 2px;
    }

    .categorySelection {
        padding: 5px 20px 25px 20px;
        align-items: start;
    }

    .categorySelection .catType {
        justify-content: flex-start;
        gap: 10px;
    }

    .categorySelection .catType a {
        font-weight: 600;
        font-size: 15px;
        padding: 4px 25px;
        border: 2px solid #5dc1b5;
    }

    .categoryContainer {
        width: 100%;
        padding: 0 20px;
        grid-template-columns: 1fr;
        gap: 20px;
    }

    .categoryContainer .categoryItem {
        display: grid;
        align-items: start;
        padding: 20px;
        gap: 20px;
    }

    .categoryContainer .categoryItem img {
        padding: 10px;
    }

    .categoryContainer .categoryItem .catItemInfo {
        justify-content: center;
        gap: 20px;
    }

    .categoryContainer .categoryItem .catItemInfo .catItemText {
        gap: 8px;
    }

    .categoryContainer .categoryItem .catItemInfo .catItemText h2 {
        font-size: 20px;
    }

    .categoryContainer .categoryItem .catItemInfo .discountLink {
        grid-template-columns: repeat(3, 1fr);
        justify-items: inherit;
    }

    .categoryContainer .categoryItem .catItemInfo .discountLink a {
        min-width: 150px;
        grid-column: span 2;
        padding: 5px 9px 5px 19px;
    }

    .categoryContainer .categoryItem .catItemInfo .discountLink a h5 {
        font-size: 15px;
    }

    .categoryContainer .categoryItem .catItemInfo .discountLink a span {
        font-size: 19px;
    }

    .paginationWrapper {
        padding: 40px 0 20px 0;
    }

    .backBtn span,
    .nextBtn span {
        font-size: 15px;
        width: 32px;
        padding: 8px 9px;
    }

    .paginationBtn h5 {
        width: 37px;
        padding: 5px 15px;
    }
}